#ifndef _KBMIDIEVENT_H_
#define _KBMIDIEVENT_H_

#include "kbAtom.h"

/**
 * Objects of this class are midievents. They do not need a (graphical) presentation of their own. They can be displayed
 * graphically within the presentation of the parts, they belong to. This is done in editors.
 * @short Midievent Class
 * @author Jan Wuerthner
 * @version 0.97
 */
class KbMidiEvent : public KbAtom
{
 private:
  KbPosition pos;

 public:
  KbMidiEvent( );

  KbPosition gPos();
  void sPos(KbPosition p);
  virtual bool isNote();
  virtual bool isAuxElement();
  virtual bool isMidiEvent();
  virtual bool isMasterEvent();
  virtual ostream & print(ostream&);
  virtual KbAtom * copy();
};


#endif
